com.google.gwt.media.dom.client

## Class TimeRanges

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.media.dom.client.TimeRanges

    public final class TimeRanges
    extends JavaScriptObject

A `JavaScriptObject` representing a time range returned from a `MediaElement`.

Experimental API: This API is still under development and is subject to change.

See Also:
  `MediaElement.getBuffered()`, `MediaElement.getPlayed()`, `MediaElement.getSeekable()`

### Constructor Summary

Constructors
`protected` `TimeRanges()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `end(int index)` Returns the end time of the range indexed by `index`.
`int` `length()` Returns the number of distinct ranges contained in this object.
`double` `start(int index)` Returns the start time of the range indexed by `index`.

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeRanges

    protected TimeRanges()

### Method Detail

#### end

    public double end(int index)

Returns the end time of the range indexed by `index`.

Parameters:
  `index` - the range index, between 0 (inclusive) and `length()` (exclusive)
Returns:
  a double indicating the end time in seconds
See Also:
  `start(int)`

#### length

    public int length()

Returns the number of distinct ranges contained in this object.

Returns:
  an integer number of ranges

#### start

    public double start(int index)

Returns the start time of the range indexed by `index`.

Parameters:
  `index` - the range index, between 0 (inclusive) and `length()` (exclusive)
Returns:
  a double indicating the start time in seconds
See Also:
  `end(int)`